Module blaxel.models.runtime
============================

Classes
-------

`Runtime(args: blaxel.types.Unset | list[typing.Any] = <blaxel.types.Unset object>, command: blaxel.types.Unset | list[typing.Any] = <blaxel.types.Unset object>, cpu: blaxel.types.Unset | int = <blaxel.types.Unset object>, endpoint_name: blaxel.types.Unset | str = <blaxel.types.Unset object>, envs: blaxel.types.Unset | list[typing.Any] = <blaxel.types.Unset object>, image: blaxel.types.Unset | str = <blaxel.types.Unset object>, memory: blaxel.types.Unset | int = <blaxel.types.Unset object>, metric_port: blaxel.types.Unset | int = <blaxel.types.Unset object>, model: blaxel.types.Unset | str = <blaxel.types.Unset object>, organization: blaxel.types.Unset | str = <blaxel.types.Unset object>, serving_port: blaxel.types.Unset | int = <blaxel.types.Unset object>, startup_probe: blaxel.types.Unset | ForwardRef('RuntimeStartupProbe') = <blaxel.types.Unset object>, type_: blaxel.types.Unset | str = <blaxel.types.Unset object>)`
:   Set of configurations for a deployment
    
    Attributes:
        args (Union[Unset, list[Any]]): The arguments to pass to the deployment runtime
        command (Union[Unset, list[Any]]): The command to run the deployment
        cpu (Union[Unset, int]): The CPU for the deployment in cores, only available for private cluster
        endpoint_name (Union[Unset, str]): Endpoint Name of the model. In case of hf_private_endpoint, it is the
            endpoint name. In case of hf_public_endpoint, it is not used.
        envs (Union[Unset, list[Any]]): The env variables to set in the deployment. Should be a list of Kubernetes
            EnvVar types
        image (Union[Unset, str]): The Docker image for the deployment
        memory (Union[Unset, int]): The memory for the deployment in MB
        metric_port (Union[Unset, int]): The port to serve the metrics on
        model (Union[Unset, str]): The slug name of the origin model at HuggingFace.
        organization (Union[Unset, str]): The organization of the model
        serving_port (Union[Unset, int]): The port to serve the model on
        startup_probe (Union[Unset, RuntimeStartupProbe]): The readiness probe. Should be a Kubernetes Probe type
        type_ (Union[Unset, str]): The type of origin for the deployment (hf_private_endpoint, hf_public_endpoint)
    
    Method generated by attrs for class Runtime.

    ### Static methods

    `from_dict(src_dict: dict[str, typing.Any]) ‑> ~T`
    :

    ### Instance variables

    `additional_keys: list[str]`
    :

    `additional_properties`
    :

    `args`
    :

    `command`
    :

    `cpu`
    :

    `endpoint_name`
    :

    `envs`
    :

    `image`
    :

    `memory`
    :

    `metric_port`
    :

    `model`
    :

    `organization`
    :

    `serving_port`
    :

    `startup_probe`
    :

    `type_`
    :

    ### Methods

    `to_dict(self) ‑> dict[str, typing.Any]`
    :